View Issue Details

IDProjectCategoryView StatusLast Update
0004997Talerwallet (WebExtensions)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004997: work around limitations of Firefox webRequest API
DescriptionThe no-js version of the bank interaction is currently broken, since we redirect to an extension page in the webRequest handler.

This is broken though, see https://bugzilla.mozilla.org/show_bug.cgi?id=707624 and https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/webRequest/BlockingResponse

We need to work around this to support Firefox, by not doing a direct redirect, but instead canceling the request and redirection from the content script on the page.
TagsNo tags attached.

Activities

Florian Dold

2017-04-24 17:50

manager   ~0012063

Fixed in cee7786

Issue History

Date Modified Username Field Change
2017-04-24 17:31 Florian Dold New Issue
2017-04-24 17:31 Florian Dold Status new => assigned
2017-04-24 17:31 Florian Dold Assigned To => Florian Dold
2017-04-24 17:50 Florian Dold Status assigned => resolved
2017-04-24 17:50 Florian Dold Resolution open => fixed
2017-04-24 17:50 Florian Dold Note Added: 0012063
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-05-03 02:17 Christian Grothoff Target Version => 0.3
2017-05-05 00:02 Christian Grothoff Product Version => SVN HEAD
2017-06-06 14:18 Christian Grothoff Status resolved => closed